package com.jkcredit.invoice.service.lowerservice.vo;

import java.util.List;

/**
 * 开票申请
 * @author mumuxigua
 */
public class InvoiceApplVo {
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * etc卡号
     */
    private String cardId;

    /**
     * 交易id
     */
    private List<String> tradeIds;

    /**
     * 对接方式 0 接口 1平台
     */
    private Integer interType = 1;

    public Integer getInterType() {
        return interType;
    }

    public void setInterType(Integer interType) {
        this.interType = interType;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public List<String> getTradeIds() {
        return tradeIds;
    }

    public void setTradeIds(List<String> tradeIds) {
        this.tradeIds = tradeIds;
    }

    @Override
    public String toString() {
        return "InvoiceApplVo{" +
                "customerName='" + customerName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", cardId='" + cardId + '\'' +
                ", tradeIds=" + tradeIds +
                '}';
    }
}
